Package org.eclipse.ecf.provider.filetransfer.httpclient4

## Class HttpClientSslTrustManager

- java.lang.Object
- - org.eclipse.ecf.provider.filetransfer.httpclient4.HttpClientSslTrustManager

All Implemented Interfaces:
  `TrustManager`, `X509TrustManager`

    public class HttpClientSslTrustManager
    extends Object
    implements X509TrustManager

### Constructor Summary

Constructors
`HttpClientSslTrustManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `checkClientTrusted​(X509Certificate[] chain)`
`void` `checkClientTrusted​(X509Certificate[] chain, String authType)`
`void` `checkServerTrusted​(X509Certificate[] chain, String authType)`
`X509Certificate[]` `getAcceptedIssuers()`
`boolean` `isClientTrusted​(X509Certificate[] chain)`
`boolean` `isServerTrusted​(X509Certificate[] chain)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpClientSslTrustManager

    public HttpClientSslTrustManager()

### Method Detail

#### checkClientTrusted

    public boolean checkClientTrusted​(X509Certificate[] chain)

#### isServerTrusted

    public boolean isServerTrusted​(X509Certificate[] chain)

#### isClientTrusted

    public boolean isClientTrusted​(X509Certificate[] chain)

#### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `X509TrustManager`
See Also:
  `X509TrustManager.getAcceptedIssuers()`

#### checkClientTrusted

    public void checkClientTrusted​(X509Certificate[] chain,
                                   String authType)

Specified by:
  `checkClientTrusted` in interface `X509TrustManager`
See Also:
  `X509TrustManager.checkClientTrusted(java.security.cert.X509Certificate[], java.lang.String)`

#### checkServerTrusted

    public void checkServerTrusted​(X509Certificate[] chain,
                                   String authType)

Specified by:
  `checkServerTrusted` in interface `X509TrustManager`
See Also:
  `X509TrustManager.checkServerTrusted(java.security.cert.X509Certificate[], java.lang.String)`